CoinUtils 2.10.15

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Attributes | List of all members
_EKKfactinfo Struct Reference

`#include <CoinOslFactorization.hpp>`

Collaboration diagram for _EKKfactinfo:
[legend]

## Public Attributes
double | drtpiv
double | demark
double | zpivlu
double | zeroTolerance
double | areaFactor
int * | xrsadr
int * | xcsadr
int * | xrnadr
int * | xcnadr
int * | krpadr
int * | kcpadr
int * | mpermu
int * | bitArray
int * | back
char * | nonzero
double * | trueStart
double * | kadrpm
int * | R_etas_index
int * | R_etas_start
double * | R_etas_element
int * | xecadr
int * | xeradr
double * | xeeadr
double * | xe2adr
EKKHlink * | kp1adr
EKKHlink * | kp2adr
double * | kw1adr
double * | kw2adr
double * | kw3adr
int * | hpivcoR
int | nrow
int | nrowmx
int | firstDoRow
int | firstLRow
int | maxinv
int | nnetas
int | iterin
int | iter0
int | invok
int | nbfinv
int | num_resets
int | nnentl
int | nnentu
int | ndenuc
int | npivots
int | kmxeta
int | xnetal
int | first_dense
int | last_dense
int | iterno
int | numberSlacks
int | lastSlack
int | firstNonSlack
int | xnetalval
int | lstart
int | if_sparse_update
int | packedMode
int | switch_off_sparse_update
int | nuspike
bool | rows_ok
int | nR_etas
int | sortedEta
int | lastEtaCount
int | ifvsol
int | eta_size
int | last_eta_size
int | maxNNetas

## Detailed Description

Definition at line 29 of file CoinOslFactorization.hpp.

## Member Data Documentation

double _EKKfactinfo::drtpiv

Definition at line 30 of file CoinOslFactorization.hpp.

double _EKKfactinfo::demark

Definition at line 31 of file CoinOslFactorization.hpp.

double _EKKfactinfo::zpivlu

Definition at line 32 of file CoinOslFactorization.hpp.

double _EKKfactinfo::zeroTolerance

Definition at line 33 of file CoinOslFactorization.hpp.

double _EKKfactinfo::areaFactor

Definition at line 34 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xrsadr

Definition at line 35 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xcsadr

Definition at line 36 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xrnadr

Definition at line 37 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xcnadr

Definition at line 38 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::krpadr

Definition at line 39 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::kcpadr

Definition at line 40 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::mpermu

Definition at line 41 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::bitArray

Definition at line 42 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::back

Definition at line 43 of file CoinOslFactorization.hpp.

char* _EKKfactinfo::nonzero

Definition at line 44 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::trueStart

Definition at line 45 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::kadrpm
| mutable

Definition at line 46 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::R_etas_index

Definition at line 47 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::R_etas_start

Definition at line 48 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::R_etas_element

Definition at line 49 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xecadr

Definition at line 51 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::xeradr

Definition at line 52 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::xeeadr

Definition at line 53 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::xe2adr

Definition at line 54 of file CoinOslFactorization.hpp.

EKKHlink* _EKKfactinfo::kp1adr

Definition at line 55 of file CoinOslFactorization.hpp.

EKKHlink* _EKKfactinfo::kp2adr

Definition at line 56 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::kw1adr

Definition at line 57 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::kw2adr

Definition at line 58 of file CoinOslFactorization.hpp.

double* _EKKfactinfo::kw3adr

Definition at line 59 of file CoinOslFactorization.hpp.

int* _EKKfactinfo::hpivcoR

Definition at line 60 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nrow

Definition at line 61 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nrowmx

Definition at line 62 of file CoinOslFactorization.hpp.

int _EKKfactinfo::firstDoRow

Definition at line 63 of file CoinOslFactorization.hpp.

int _EKKfactinfo::firstLRow

Definition at line 64 of file CoinOslFactorization.hpp.

int _EKKfactinfo::maxinv

Definition at line 65 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nnetas

Definition at line 66 of file CoinOslFactorization.hpp.

int _EKKfactinfo::iterin

Definition at line 67 of file CoinOslFactorization.hpp.

int _EKKfactinfo::iter0

Definition at line 68 of file CoinOslFactorization.hpp.

int _EKKfactinfo::invok

Definition at line 69 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nbfinv

Definition at line 70 of file CoinOslFactorization.hpp.

int _EKKfactinfo::num_resets

Definition at line 71 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nnentl

Definition at line 72 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nnentu

Definition at line 73 of file CoinOslFactorization.hpp.

int _EKKfactinfo::ndenuc

Definition at line 77 of file CoinOslFactorization.hpp.

int _EKKfactinfo::npivots

Definition at line 78 of file CoinOslFactorization.hpp.

int _EKKfactinfo::kmxeta

Definition at line 79 of file CoinOslFactorization.hpp.

int _EKKfactinfo::xnetal

Definition at line 80 of file CoinOslFactorization.hpp.

int _EKKfactinfo::first_dense

Definition at line 81 of file CoinOslFactorization.hpp.

int _EKKfactinfo::last_dense

Definition at line 82 of file CoinOslFactorization.hpp.

int _EKKfactinfo::iterno

Definition at line 83 of file CoinOslFactorization.hpp.

int _EKKfactinfo::numberSlacks

Definition at line 84 of file CoinOslFactorization.hpp.

int _EKKfactinfo::lastSlack

Definition at line 85 of file CoinOslFactorization.hpp.

int _EKKfactinfo::firstNonSlack

Definition at line 86 of file CoinOslFactorization.hpp.

int _EKKfactinfo::xnetalval

Definition at line 87 of file CoinOslFactorization.hpp.

int _EKKfactinfo::lstart

Definition at line 88 of file CoinOslFactorization.hpp.

int _EKKfactinfo::if_sparse_update

Definition at line 89 of file CoinOslFactorization.hpp.

int _EKKfactinfo::packedMode
| mutable

Definition at line 90 of file CoinOslFactorization.hpp.

int _EKKfactinfo::switch_off_sparse_update

Definition at line 91 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nuspike

Definition at line 92 of file CoinOslFactorization.hpp.

bool _EKKfactinfo::rows_ok

Definition at line 93 of file CoinOslFactorization.hpp.

int _EKKfactinfo::nR_etas

Definition at line 97 of file CoinOslFactorization.hpp.

int _EKKfactinfo::sortedEta

Definition at line 98 of file CoinOslFactorization.hpp.

int _EKKfactinfo::lastEtaCount

Definition at line 99 of file CoinOslFactorization.hpp.

int _EKKfactinfo::ifvsol

Definition at line 100 of file CoinOslFactorization.hpp.

int _EKKfactinfo::eta_size

Definition at line 101 of file CoinOslFactorization.hpp.

int _EKKfactinfo::last_eta_size

Definition at line 102 of file CoinOslFactorization.hpp.

int _EKKfactinfo::maxNNetas

Definition at line 103 of file CoinOslFactorization.hpp.

The documentation for this struct was generated from the following file:

- /tmp/CoinUtils-2.10.15/CoinUtils/src/CoinOslFactorization.hpp